package genetic

import neuralnetwork "../neuralnetwork"

type IndividalFitness struct {
	Fitness float64
	Index   int
}

type PopulationVerifier interface {
	Verify(*Population) []*IndividalFitness
}

type Mutagen interface {
	Mutate(network *neuralnetwork.NeuralNetwork)
}
