#ifndef CLIENTWRAPPER_H
#define CLIENTWRAPPER_H

#include <QObject>
#include "snakesimulatorclient.h"

class ClientWrapper : public QObject
{
    Q_OBJECT
public:
    ClientWrapper(snakesimulator::SnakeSimulatorClient* client) :
        m_client(client){}

    Q_INVOKABLE void setSpeed(int speed) {
        m_client->setSpeed({(QtProtobuf::uint32)speed, nullptr});
    }
private:
    snakesimulator::SnakeSimulatorClient* m_client;
};

#endif // CLIENTWRAPPER_H
